Special Offer

FCharts2SE
by Spacejock Software
WinXP & above / Mono 2.4 & above


FCharts2SE will not yet run on Linux/OSX



FCharts2SE still needs tweaking to run on Wine.